try{
    const listOfEle_FC = document.getElementsByClassName(parentCActivity_class_FC);
    if (listOfEle_FC.length>0){
        let i;
        for(i=0; i<listOfEle_FC.length; i++){
            if (listOfEle_FC[i].getAttribute('title') == parentCActivity_title_FC){
                const re_CompInfo_obj = new CompInfoObject(listOfEle_FC[i],builder_class_FC);
                
                // Build the static container piece, instructions found at staticParts_FC[0]
                const re_instruct_ob_S_0 = new InstructObject(staticParts_FC[0]);
                re_instruct_ob_S_0.areObjects_RIA = true;
                // Build the info array for the instructions to create each flip card dynamicParts_FC[0]
                const re_instruct_ob_D_0 = new InstructObject(dynamicParts_FC[0]);
                re_instruct_ob_D_0.settings_level = "main-settings";
                const result_of_info_build = Build_Info_Array(re_CompInfo_obj,re_instruct_ob_D_0,buildtBody_class_FC,info_col_def_FC);
                if(result_of_info_build){
                    Customize_Info_FC(re_instruct_ob_D_0);
                    re_instruct_ob_S_0.row_info_arrays.push(re_instruct_ob_D_0);
                    //INO type see if need to apply any settings
                    Check_Apply_Settings(re_instruct_ob_D_0);
                    re_CompInfo_obj.instructions_array.push(re_instruct_ob_S_0);
                    const built_html = Build_HTML(re_CompInfo_obj);
                    if(built_html && built_html.children.length>0){
                        insert_before(re_CompInfo_obj.parCActivityDIV_element,re_CompInfo_obj.buiDIV_element,built_html);
                    }
                }
            }
        }
    }    
}catch(err){
}

/**
 * Go through the info array in the instruction object and add custom classes or column value based on the components needs. ex. generate IDs if needed
 * @param {Object} instruct_obj 
 * Need to set the col-1 and col-3 class in DIV depending on 'class="card-text', 'class="not-text'
 *      -> if Div has img src then check width, resize if the width is less than 180px che
 *      -> div class card-question-title can also be blank, will need to direct to remove the class in columns 0 or 2
 */
function Customize_Info_FC(instruct_obj){
    for(row=0; row<instruct_obj.getIA_Size(); row++){
        let col;
        for(col=0;col<instruct_obj.getRow_IA_Size();col++){
            let isText = true;
            let isEmpty = false;
            const div_info_ele = instruct_obj.get_info_At_ColNUM(row,col);

            const div_infoChildren = div_info_ele.children;    
            if(div_infoChildren != null && div_infoChildren.length>0){
                let childNum;
                for(childNum=0;childNum<div_infoChildren.length;childNum++){
                    if(col==2 || col==4){
                        let foundWhat = SearchChildrenFor([['tagName','IMG']],div_infoChildren[childNum]);
                        if(foundWhat){
                            isText=false;
                            //check the width if less than 180 resize to 180px and delete the height
                            let image_width=foundWhat.getAttribute("width");
                            if(image_width != null && image_width<min_image_width){
                                //resize
                                foundWhat.setAttribute("width",min_image_width);
                                foundWhat.getAttribute("height") ? foundWhat.removeAttribute("height"): false;
                            }
                        }
                    }
                }
            }else{
                //check to see if there it's just text
                if(!div_info_ele.textContent){
                    //check to make sure it's not just blank
                    if(div_info_ele.textContent.trim() == ""){
                        isEmpty = true;
                    }
                }
            }
            if(col==2 || col==4){      
                if(!isText){
                    div_info_ele.className="not-text";
                }else{
                    div_info_ele.className="card-text";
                }
                //need to put into a div container for flipcards
                const divHolder = document.createElement("DIV");
                divHolder.append(div_info_ele);
                instruct_obj.set_info_At_ColNUM(row,col,divHolder);
            }
            if(isEmpty){
                //div class card-question-title can also be blank,
                div_info_ele.className="is-empty-remove-last-OE"; 
            }
        }
    }
}