
$(function(){
  loadStyles();
  loadBuild();
  let includeHint = false;
  let optCount = 4; //default number of MC Options per question
  let questCount = 1; //default number of questions per page
  let TxtMap = new Map();
  let OptMap = new Map();
  let previewCode="";
  let codetoCopy="";
  $("#rIncludeHint").hide();
  //$("#panelFixedColl").hide();
  let panelAdd = true;
  let panelMCNumber = true;
  const alpha=["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"];
  $("#rYesNo").change(function(){
    clearAllVar();
    if($("input[name='optIncludeH']:checked").val()=="No"){
      $("#rIncludeHint").hide();
      includeHint=false;
    }else{
      $("#rIncludeHint").show();
      includeHint = true;
    }
  });
  $("#panelAddYesNo").change(function(){
    clearAllVar();
    if($("input[name='optPanelAddYesNo']:checked").val()=="Yes"){
      $("#panelFixedColl").show();
      panelAdd=true;
    }else{
      $("#panelFixedColl").hide();
      panelAdd=false;
    }
  });
  $("#rQType").change(function(){
    clearAllVar();
    if($("input[name='optQType']:checked").val()=="TF"){
      $("#panelMCNum").hide();
      panelMCNumber=false;
    }else{
      $("#panelMCNum").show();
      panelMCNumber=true;
    }
  });
  $("#uniqueName").change(function(){
    clearAllVar();
  });
  $("#numOfAns").change(function(){
    clearAllVar();
  });
  $("#numOfOpt").change(function(){
    clearAllVar();
  });
  $("#rIncludeHint").change(function(){
    clearAllVar();
  });
  $("#rListFormat").change(function(){
    clearAllVar();
  });
  $("#panelFixedColl").change(function(){
    clearAllVar();
  });
  function clearAllVar() {
    optCount = 4; //default number of MC Options per question
    questCount = 1; //default number of questions per page
    TxtMap.clear();
    OptMap.clear();
    previewCode="";
    codetoCopy="";
    $("#previewHere").empty();
    $("#codeCopier").empty();
    $("#customInput").empty();
  }
  /*Customize function process
    * - Need to generat a unique id (cusTextID) in place of any text/var that can be customized (ie. Panel Title, Option titles, true or false values)
    * - Need to provide input boxes for each (cusTextVal), 
    * - Need to provide option boxes to provide true false values (cusOptVal)
    * - Need Text Map (TxtMap) for Panel title and option titles with (Key - cusTextID, Value - cusTextVal)
    * - Need True or False Map (OptMap) for the option values (Key - cusTextVal, Value - cusOptVal)
    * - Tag each customizable text in the customCode string with the corresponding Key
    * - For loop through the Keys and run the customCode.replace (Key, Value)
    * 
    */
  $("#pushIT").click(function(){
    let previewCodeCP=previewCode;
    let codetoCopyCP=codetoCopy;
    let inputValue = ''; //default
    //go through the TxtMap to find the ids to grab the input values from
    for (let key of TxtMap.keys()) {
      if ($("#"+key).val()!=''){
        inputValue=$("#"+key).val();
        inputValue= inputValue.trim();
      }else{
        inputValue = 'blank';
      }
      TxtMap.set(key,inputValue);
    }
    for (let [key, value] of TxtMap.entries()) {
      previewCodeCP = previewCodeCP.replace(key,value);
      codetoCopyCP = codetoCopyCP.replace(key,value);
    }

    for (let key of OptMap.keys()){
      let optTFVal = $("input[name='"+key+"']:checked").val();
      let i;
      let optKeyStr;
      let optKeyOnEditStr;
      for (i=0; i < optCount; i++){
        optKeyStr = key+''+(i+1);
        optKeyOnEditStr = key +'OnEdit'+(i+1);
        if(optTFVal == optKeyStr){
          previewCodeCP = previewCodeCP.replace(optKeyStr,"true");
          codetoCopyCP = codetoCopyCP.replace(optKeyStr,"true");
          codetoCopyCP = codetoCopyCP.replace(optKeyOnEditStr,"&lt;span class=&quot;only-on-edit&quot; style=&quot;color:#FF4713; padding-left: 10px;&quot;&gt;&lt;i class=&quot;fas fa-arrow-left&quot; style=&quot;padding-left: 10px;&quot;&gt;&lt;/i&gt; Answer&amp;nbsp;&lt;i class=&quot;far fa-edit&quot;&gt;&lt;/i&gt; &lt;/span&gt;");
        }else{
          previewCodeCP = previewCodeCP.replace(optKeyStr,"false");
          codetoCopyCP = codetoCopyCP.replace(optKeyStr,"false");
          codetoCopyCP = codetoCopyCP.replace(optKeyOnEditStr,"");
        }
      }
    }

    $("#previewHere").empty();
    $("#previewHere").append(previewCodeCP);
    scrollDown('PreView');
    $("#codeCopier").empty();
    $("#codeCopier").append(codetoCopyCP);
  });
  $("#doIT").click(function(){
    clearAllVar();
    $("#codeCopier").text("");
    let formatVal = $("input[name='optFormat']:checked").val();
    let typeVal = $("input[name='optType']:checked").val();
    let panelTypeVal = $("input[name='optPanelFixedColl']:checked").val();
    let typeReveal="Hint"
    let typeString = "Hint";
    let typeIcon = "far fa-lightbulb"
    let uName = ""; //default unique name is random gen
    let customCode ="";
    /* took out the ability to provide a unique name, leave to random gen
    if ($("#uniqueName").val()!=''){
      uName=$("#uniqueName").val();
      uName= uName.replace(/\s+/g, '');
      uName= uName.trim();
    }else{*/
      uName = "Q"+ getRNDQid();
    //} //end if part for the unique name
    if ($("#numOfAns").val()!=''){
      questCount=$("#numOfAns").val();
    }
    
    if (panelMCNumber == false) {
      optCount = 2; //this is true false type
    }else{
      if ($("#numOfOpt").val()!=''){
        optCount=$("#numOfOpt").val();
      }
    }
    if (typeVal=="check"){
      typeReveal = "Feedback"
      typeString = "Feedback"
      typeIcon ="far fa-check-square"
    }
    //customize code
    customCode += '\n<div id="'+uName+'" class="CustomActivity" title="Quiz">';
    //code to copy
    codetoCopy +="<br/>&lt;!-- Start of Custom Activity for Quiz:"+ uName +" --&gt;";
    codetoCopy +="<br/>&lt;div id=&quot;"+uName+"&quot; class=&quot;CustomActivity&quot; title=&quot;Quiz&quot; contenteditable=&quot;false&quot;&gt;";

    codetoCopy +="<br/>&lt;div class=&quot;card only-on-edit&quot;&gt;";
    codetoCopy +="<br/>&lt;div class=&quot;card-header clearfix&quot;&gt;";
    codetoCopy +="<br/>&lt;p class=&quot;card-heading&quot;&gt;Information Card: Interactive Quiz Component&lt;span style=&quot;float:right&quot;&gt;Edit HTML mode: ON&amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot; style=&quot;color:#FF4713;font-weight: bold;&quot;&gt;&lt;/i&gt;&lt;/span&gt;&lt;/p&gt;";
    codetoCopy +="<br/>&lt;/div&gt;";
    codetoCopy +="<br/>&lt;div class=&quot;card-body clearfix&quot;&gt;";
    codetoCopy +="<br/>&lt;p&gt;&lt;strong&gt;Note:&lt;/strong&gt; This icon &amp;nbsp;&lt;i class=&quot;far fa-edit fa-lg&quot; style=&quot;color:#FF4713;font-weight: bold;&quot;&gt;&lt;/i&gt; indicates that certain text or panels can only be seen while in HTML Edit mode. When you save and close they will not be visible to the students.&lt;/p&gt;";
    /**** Needs to be an absolute path when ready to publish maybe use the ../template-pages/ **/
    codetoCopy +="<br/>&lt;figure class=&quot;figure&quot; style=&quot;float:right;&quot;&gt;<br/>&lt;img src=&quot;../assets/advInteractives_pkg/images/gifs/QuickStartGuide.gif&quot; class=&quot;figure-img img-fluid rounded&quot; style=&quot;max-width: 95%;&quot; alt=&quot;right click link to open in new tab or window&quot;&gt;<br/>&lt;figcaption class=&quot;figure-caption&quot;&gt;&lt;i class=&quot;far fa-lightbulb&quot;&gt;&lt;/i&gt; Tip: Right click to open any link while in Edit Mode&lt;/figcaption&gt;&lt;/figure&gt;<br/>&lt;p&gt;&lt;br/&gt;&lt;i class=&quot;far fa-question-circle fa-lg&quot; style=&quot;color:#FF4713; margin: 5px 10px 0px 0px&quot;&gt;&lt;/i&gt;For Helpful Tips and Information on how to &lt;b&gt;Edit, Customize, Copy, Delete,&lt;/b&gt; please visit the &lt;a rel=&quot;noopener&quot; href=&quot;../assets/advInteractives_pkg/html/Info-Card-Quiz.html&quot; target=&quot;_blank&quot;&gt;&lt;u&gt;Quick Start Guide&lt;/u&gt;&lt;/a&gt; page for this component by simply right clicking on the &quot;Quick Start Guide&quot; link text and then selecting open in a new tab or window.&lt;/p&gt;";
    codetoCopy +="<br/>&lt;/div&gt;";
    codetoCopy +="<br/>&lt;/div&gt;";

    //preview code
    previewCode += '\n<div id="'+uName+'" class="CustomActivity" title="Quiz">';
    
    if(panelAdd==true){
      let pTitle = 'panelTitle'+uName;
      if(panelTypeVal=="Fixed"){
        //customize code
        customCode += '\n<div class="card">';
        customCode += '\n<div class="card-header" id="heading'+uName+'"><h3 class="card-heading" style="margin-top: 0px; margin-bottom: 0px;">Panel Title</h3></div>\n<div class="card-body">';
        //code to copy
        codetoCopy +="<br/>&lt;div class=&quot;card&quot;&gt;";
        codetoCopy +="<br/>&lt;div class=&quot;card-header&quot; id=&quot;heading"+uName+"&quot;&gt;&lt;h3 class=&quot;card-heading&quot; style=&quot;margin-top:0px;margin-bottom:0px;&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot; style=&quot;border: 2px dashed #767676; padding: 9px 16px; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;"+pTitle +"&lt;/span&gt;&lt;/h3&gt;&lt;/div&gt;<br/>&lt;div class=&quot;card-body clearfix&quot;&gt;<br/>";
        //preview code
        previewCode +='\n<div class="card">';
        previewCode += '\n<div class="card-header" id="heading'+uName+'"><h3 class="card-heading" style="margin-top: 0px; margin-bottom: 0px;"> ' +pTitle +' </h3></div>\n<div class="card-body">';
      }else if(panelTypeVal=="Collap"){
        //customize code
        customCode += '\n<div class="accordion" id="accordion'+uName+'">';
        customCode += '\n<div class="card">';
        customCode += '\n<div class="card-header" id="heading'+uName+'"><h3 class="card-heading" style="margin-top: 0px; margin-bottom: 0px;"><a data-toggle="collapse" data-parent="#accordion'+uName+'" href="#collapse'+uName+'" aria-expanded="true" aria-controls="collapse'+uName+'" class="d-block">Panel Title<i style="cursor: pointer; float: right;" class="fa fa-chevron-down" aria-hidden="true"></i></a></h3></div>\n<div id="collapse'+uName+'" class="collapse show" aria-labelledby="heading'+uName+'" data-parent="#accordion'+uName+'">\n<div class="card-body" >';
        //code to copy
        codetoCopy +="<br/>&lt;div class=&quot;accordion&quot; id=&quot;accordion"+uName+"&quot;&gt;";
        codetoCopy +="<br/>&lt;div class=&quot;card&quot;&gt;";
        codetoCopy +="<br/>&lt;div class=&quot;card-header&quot; id=&quot;heading"+uName+"&quot;&gt;&lt;h3 class=&quot;card-heading&quot; style=&quot;margin-top:0px;margin-bottom:0px;&quot;&gt;&lt;a data-toggle=&quot;collapse&quot; aria-expanded=&quot;true&quot; aria-controls=&quot;collapse"+uName+"&quot; class=&quot;d-block set-as-pointer edit-accord-title&quot; style=&quot;cursor: auto;&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot; style=&quot;border: 2px dashed #767676; padding: 9px 16px; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;"+pTitle +"&lt;/span&gt;&lt;i style=&quot;cursor:pointer;float:right;&quot; class=&quot;fa fa-chevron-down&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&lt;/a&gt;&lt;/h3&gt;&lt;/div&gt;<br/>&lt;div id=&quot;collapse"+uName+"&quot; class=&quot;collapse advAccord show&quot; aria-labelledby=&quot;heading"+uName+"&quot; data-parent=&quot;#accordion"+uName+"&quot;&gt;<br/>&lt;div class=&quot;card-body clearfix&quot; &gt;<br/>";
        //preview code
        previewCode += '\n<div class="accordion" id="accordion'+uName+'">';
        previewCode += '\n<div class="card">';
        previewCode += '\n<div class="card-header" id="heading'+uName+'"><h3 class="card-heading" style="margin-top: 0px; margin-bottom: 0px;"><a data-toggle="collapse" data-parent="#accordion'+uName+'" href="#collapse'+uName+'" aria-expanded="true" aria-controls="collapse'+uName+'" class="d-block"> '+pTitle+' <i style="cursor: pointer; float: right;" class="fa fa-chevron-down" aria-hidden="true"></i></a></h3></div>\n<div id="collapse'+uName+'" class="collapse show" aria-labelledby="heading'+uName+'" data-parent="#accordion'+uName+'">\n<div class="card-body" >';
      }
      $("#customInput").empty();
      
      $("#customInput").append('<div class="form-group row" style="padding-left: 115px;"><label for="'+pTitle+'" class="col-form-label" style="color: #000000;font-weight:bold"><p>Panel Title:</p></label><input type="text" class="form-control" style="width: 68%; margin-left: 20px;" id="'+pTitle+'" autocomplete="off" /> </div>');
  
      TxtMap.set(pTitle,''); //set so it can be retrieved to find the value
    }
    
    let i;
    let carolCode='';
    //let carolNav ='';
    let carolBody ='';
    let carolFontColor='';
    if(questCount>1) {
      carolCode +='\n<div id="questionConfigSlider" class="carousel slide" data-interval="false" data-wrap="false" style="background-color: #15795B; padding: 15px;border-radius: 4px;">'; //start of the questionConfigSlider
      carolFontColor = '#FFFFFF';
    }else{
      carolFontColor = '#000000';
    }
    for (i = 1; i <= questCount; i++) {
      customCode += '\n<!-- START Question '+ i +' -->\n';
      codetoCopy +="<br/>&lt;!-- START Question "+ i +" --&gt;";
      previewCode += '\n<!-- START Question '+ i +' -->\n';
      if(formatVal != "none"){
        if(formatVal == "bullet"){
          //customize code
          customCode += '\n<ul>';
          //code to copy
          codetoCopy +="<br/>&lt;ul&gt;";
          //preview code
          previewCode += '\n<ul>';
          
        } else if (formatVal == "numeric"){
          //customize code
          customCode += '\n<ol start="' + i + '" class="ques-listing">';
          //code to copy
          codetoCopy +="<br/>&lt;ol start=&quot;" + i + "&quot; class=&quot;ques-listing&quot;&gt;";
          //preview code
          previewCode += '\n<ol start="' + i + '" class="ques-listing">';
          
        }else{
          //customize code
          customCode += '\n<ol type="' +formatVal+ '" start="' + i + '" class="ques-listing">';
          //code to copy
          codetoCopy +="<br/>&lt;ol type=&quot;" +formatVal+ "&quot; start=&quot;" + i + "&quot; class=&quot;ques-listing&quot; &gt;";
          //preview code
          previewCode += '\n<ol type="' +formatVal+ '" start="' + i + '" class="ques-listing">';
          
        }

        //customize code
        customCode += '<li style="font-weight:bold;margin-top: 30px;">';
        //code to copy
        codetoCopy +="<br/>&lt;li style=&quot;font-weight:bold;margin-top:30px;&quot;&gt; ";
        //preview code
        previewCode += '<li style="font-weight:bold;margin-top: 30px;"> ';
             
      }else{
        //customize code
        customCode += '<p>';
        //code to copy
        codetoCopy +="<br/>&lt;p&gt;";
        //preview code
        previewCode += '<p>';
      }
      let qTitle = 'questTitle'+i;
      if(questCount>1) {
        if (i==1){
          //carolNav += '\n<li data-target="#questionConfigSlider" data-slide-to="0" class="active"></li>';
          carolBody += '\n<div class="carousel-item active">'; //start carousel item body
        }else{
          //carolNav += '\n<li data-target="#questionConfigSlider" data-slide-to="'+(i-1)+'"></li>';
          carolBody += '\n<div class="carousel-item">'; //start carousel item body
        }
      }
      //customize code
      customCode += ' QUESTION '+ i +' TEXT ';
      //code to copy
      codetoCopy += "&amp;nbsp;&lt;span class=&quot;edit-able&quot; style=&quot;border: 2px dashed #767676; padding: 9px 16px; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;"+qTitle+"&lt;/span&gt;";
      //preview code
      previewCode +=qTitle;

      if(formatVal != "none"){
        customCode += '</li>\n';
        //code to copy
        codetoCopy +=" &lt;/li&gt;<br/>";
        //preview code
        previewCode += ' </li>\n';
      }else{
           //customize code
           customCode += '</p>\n';
           //code to copy
           codetoCopy +="&lt;/p&gt;<br/>";
           //preview code
           previewCode += '</p>\n';
      }
      if(questCount>1){
        carolBody += '\n<div style="padding-left:80px; padding-top:30px">';
      }else{
        carolBody += '\n<div style="padding-left:80px;">';
      }
      carolBody += '\n<div class="form-group row" style="padding-left: 8px;"><label for="'+qTitle+'" class="col-form-label" style="font-weight:bold; color:' + carolFontColor + '"><p> Question '+i+' Text:</p></label><input type="text" class="form-control" style="width:65%;margin-left: 10px;" id="'+qTitle+'" autocomplete="off" /> </div>';
      TxtMap.set(qTitle,''); //set so it can be retrieved to find the value
      let optInputCode='';
      if(optCount>0){
        $("#addScript").show();
        //Generates the number of MC options per questions
        let oTitle = '';
        let oTFValue='';
        let oTFOnEditVal='';
        let oTFValuelabel ='q'+i+'optionValue';
        //customize code
        customCode += '<ol type="a" class="opt-listing">\n<!-- DON&apos;T forget to change the true value for correct option for Question #'+ i +' -->\n';
        //code to copy
        codetoCopy +="&lt;ol type=&quot;a&quot; class=&quot;opt-listing&quot; &gt;";
        //preview code
        previewCode += '<ol type="a" class="opt-listing">\n<!-- DON&apos;T forget to change the true value for correct option for Question #'+ i +' -->\n';
        optInputCode += '\n<div class="form-check">'
        optInputCode += '<label for="'+oTFValuelabel+'" style="font-weight:bold; color:' + carolFontColor + '"><p>The Correct Option is:</p></label> '
        let j;
        for(j=0; j < optCount; j++){
          oTitle = 'q'+i+'optionTitle'+(j+1);
          oTFValue = oTFValuelabel+(j+1);
          oTFOnEditVal = oTFValuelabel+"OnEdit"+(j+1);
          if (panelMCNumber == true) { //this is MC question
            //customize code
            customCode += '\n<li>\n<label id="L'+uName+'Q00' + i +''+ alpha[j] +'" style="cursor:pointer;"><input type="radio" style="display:none" name="optQuiz'+uName+'" id="'+uName+'Q00' + i +''+ alpha[j] +'" value="false">Option #'+ (j+1) +' Text</label>\n</li>';
            //code to copy
            codetoCopy +="<br/>&lt;li&gt;<br/>&lt;label id=&quot;L"+uName+"Q00" + i +""+ alpha[j] +"&quot; class=&quot;set-as-pointer&quot; style=&quot;cursor:auto;&quot;&gt;&lt;input type=&quot;radio&quot; style=&quot;display:none&quot; name=&quot;optQuiz"+uName+"&quot; id=&quot;"+uName+"Q00" + i +""+ alpha[j] +"&quot; value=&quot;"+oTFValue+"&quot;&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot; style=&quot;border: 2px dashed #767676; padding: 9px 16px; border-radius: 4px;&quot; contenteditable=&quot;true&quot; &gt;"+oTitle+"&lt;/span&gt;"+oTFOnEditVal+"&lt;/label&gt;<br/>&lt;/li&gt;";
            //preview code
            previewCode += '\n<li>\n<label id="L'+uName+'Q00' + i +''+ alpha[j] +'" style="cursor:pointer;"><input type="radio" style="display:none" name="optQuiz'+uName+'" id="'+uName+'Q00' + i +''+ alpha[j] +'" value="'+oTFValue+'">'+oTitle+'</label>\n</li>';
            carolBody += '\n<div class="form-group row" style="padding-left: 40px;"><label for="'+oTitle+'" class="col-form-label" style="font-weight:bold; color:'+carolFontColor+'"><p>Option #'+ (j+1) +' Text:</p></label><input type="text" class="form-control" style="width:65%;margin-left: 10px;" id="'+oTitle+'" autocomplete="off" /> </div>'; 
            TxtMap.set(oTitle,''); //set so it can be retrieved to find the value
            optInputCode += '<label class="radio-inline gen-label" style="color:' + carolFontColor + '"><input type="radio" class="gen-radio" name="'+oTFValuelabel+'" value="'+oTFValue+'" />'+ (j+1) +'</label>'
          }else{ // True false questions
            //customize code
            customCode += '\n<li>\n<label id="L'+uName+'Q00' + i +''+ alpha[j] +'" style="cursor:pointer;"><input type="radio" style="display:none" name="optQuiz'+uName+'" id="'+uName+'Q00' + i +''+ alpha[j] +'" value="false">';
            //code to copy
            codetoCopy +="<br/>&lt;li&gt;<br/>&lt;label id=&quot;L"+uName+"Q00" + i +""+ alpha[j] +"&quot; style=&quot;cursor:pointer;&quot;&gt;&lt;input type=&quot;radio&quot; style=&quot;display:none&quot; name=&quot;optQuiz"+uName+"&quot; id=&quot;"+uName+"Q00" + i +""+ alpha[j] +"&quot; value=&quot;"+oTFValue+"&quot;&gt;";
            //preview code
            previewCode += '\n<li>\n<label id="L'+uName+'Q00' + i +''+ alpha[j] +'" style="cursor:pointer;"><input type="radio" style="display:none" name="optQuiz'+uName+'" id="'+uName+'Q00' + i +''+ alpha[j] +'" value="'+oTFValue+'">';
            
            if(j==0){
              //customize code
              customCode += 'True';
              //code to copy
              codetoCopy +="True";
              //preview code
              previewCode += 'True ';
              optInputCode += '<label class="radio-inline gen-label" style="color:'+carolFontColor+'"><input type="radio" class="gen-radio" name="'+oTFValuelabel+'" value="'+oTFValue+'" />True</label>'
            }else{
              //customize code
              customCode += 'False';
              //code to copy
              codetoCopy +="False";
              //preview code
              previewCode += 'False';
              optInputCode += '<label class="radio-inline gen-label" style="color:'+carolFontColor+'"><input type="radio" class="gen-radio" name="'+oTFValuelabel+'" value="'+oTFValue+'" />False</label>'
            }
            //customize code
            customCode += '</label>\n</li>';
            //code to copy
            codetoCopy +=""+oTFOnEditVal+"&lt;/label&gt;<br/>&lt;/li&gt;";
            //preview code
            previewCode += '</label>\n</li>';
            
          }
          
        }
        optInputCode += '\n</div>';
        OptMap.set(oTFValuelabel,''); //set so it can be retrieved to find the value
        //customize code
        customCode += '\n</ol>';
        //code to copy
        codetoCopy +="<br/>&lt;/ol&gt;";
        //preview code
        previewCode += '\n</ol>';
        
      }else{
        $("#addScript").hide();
      }

      if(formatVal != "none"){
        if(formatVal == "bullet"){
          //customize code
          customCode += '</ul>';
          //code to copy
          codetoCopy +="<br/>&lt;/ul&gt;";
          //preview code
          previewCode += '</ul>';
          
        }else{
          //customize code
          customCode += '</ol>';	
          //code to copy
          codetoCopy +="<br/>&lt;/ol&gt;";
          //preview code
          previewCode += '</ol>';
          
        }		
      }
      if(includeHint==true){
        let hTitle='q'+i+'hintTitle';
        //customize code
        customCode += '\n<!-- Activity Collapse/Reveal Button -->\n<button type="button" class="btn btn-danger hint-answer-right" data-toggle="collapse" href="#'+uName+'answer' + i + '"><i class="' + typeIcon + '" aria-hidden="true"></i> ' + typeString + ' </button>';
        customCode += '\n<div class="clearfloat"></div>';
        //code to copy
        codetoCopy +="<br/>&lt;!-- Activity Collapse/Reveal Button --&gt;<br/>&lt;button type=&quot;button&quot; class=&quot;btn btn-danger hint-answer-right set-as-pointer&quot; style=&quot;padding: 5px 10px; cursor:auto&quot; data-toggle=&quot;collapse&quot; href=&quot;#"+uName+"answer" + i + "&quot;&gt;&lt;i class=&quot;" + typeIcon + "&quot; aria-hidden=&quot;true&quot;&gt;&lt;/i&gt;&amp;nbsp;&lt;span class=&quot;edit-able&quot; style=&quot;border: 2px dashed #767676; padding: 9px 16px; border-radius: 4px;&quot; contenteditable=&quot;true&quot;&gt;" + typeString + "&lt;/span&gt;&lt;/button&gt;";
        codetoCopy +="<br/>&lt;div class=&quot;clearfloat&quot;&gt;&lt;/div&gt;";
        //preview code
        previewCode += '\n<!-- Activity Collapse/Reveal Button -->\n<button type="button" class="btn btn-danger hint-answer-right" data-toggle="collapse" href="#'+uName+'answer' + i + '"><i class="' + typeIcon + '" aria-hidden="true"></i> ' + typeString + ' </button>';
        previewCode += '\n<div class="clearfloat"></div>';
        //customize code
        customCode += '\n<!-- START Collapse/Reveal Toggled Content -->\n<div id ="'+uName+'answer' + i + '" class="collapse">';
        customCode += '\n<div class="hint-answer">';
        customCode += '\n<!-- START '+typeReveal+' '+ i +' paragraph -->\n<p>\n<strong>'+typeReveal+':</strong>\n '+typeReveal+' '+ i +' TEXT \n</p>\n<!-- ./END ' + typeReveal +' '+ i +' paragraph -->';
        customCode += '\n</div>\n</div>\n<!-- ./END Collapse/Reveal Toggled Content -->';
        //code to copy
        codetoCopy +="<br/>&lt;!-- START Collapse/Reveal Toggled Content --&gt;<br/>&lt;div id =&quot;"+uName+"answer" + i + "&quot; class=&quot;collapse advAccord show&quot; contenteditable=&quot;true&quot;&gt;";
        codetoCopy +="<br/>&lt;div class=&quot;hint-answer clearfix&quot; style=&quot;padding: 20px; border: 1px dashed #000000; border-radius: 4px;&quot;&gt;";
        codetoCopy +="<br/>&lt;!-- START "+typeReveal+" "+ i +" paragraph --&gt;<br/>&lt;p&gt;<br/>&lt;strong&gt;"+typeReveal+":&lt;/strong&gt;<br/> "+hTitle+" <br/>&lt;/p&gt;<br/>&lt;!-- ./END " + typeReveal +" "+ i +" paragraph --&gt;";
        codetoCopy +="<br/>&lt;/div&gt;<br/>&lt;/div&gt;<br/>&lt;!-- ./END Collapse/Reveal Toggled Content --&gt;";
        //preview code
        previewCode += '\n<!-- START Collapse/Reveal Toggled Content -->\n<div id ="'+uName+'answer' + i + '" class="collapse">';
        previewCode += '\n<div class="hint-answer">';
        previewCode += '\n<!-- START '+typeReveal+' '+ i +' paragraph -->\n<p>\n<strong>'+typeReveal+':</strong>\n '+hTitle+' \n</p>\n<!-- ./END ' + typeReveal +' '+ i +' paragraph -->';
        previewCode += '\n</div>\n</div>\n<!-- ./END Collapse/Reveal Toggled Content -->';
        carolBody += '\n<div class="form-group row" style="padding-left: 40px;"><label for="'+hTitle+'" class="col-form-label" style="font-weight:bold; color:'+carolFontColor+'"><p>'+typeReveal+' '+ i +' Text:</p></label><input type="text" class="form-control" style="width:69%;margin-left: 10px;" id="'+hTitle+'" autocomplete="off" /> </div>'; 
        TxtMap.set(hTitle,''); //set so it can be retrieved to find the value
      }
      //customize code
      customCode += '\n<!-- ./END Question '+ i +' -->\n';
      //code to copy
      codetoCopy +="<br/>&lt;!-- ./END Question "+ i +" --&gt;<br/>";
      //preview code
      previewCode += '\n<!-- ./END Question '+ i +' -->\n';
      carolBody += optInputCode;
      carolBody += '\n<h3 style="float:right; color:'+carolFontColor+'; padding-left:30px; padding-right:30px; margin-top:0px">Question '+i+' Settings</h3>';
      carolBody += '\n<div class="clearfloat"></div>';
      carolBody += '\n</div>'; //div padding 80
      if (questCount>1){
        carolBody += '\n</div>'; //end carousel item body
      }
    }
    //putting together the questionConfigSlider carousel
    if (questCount>1){
      //carolCode += carolNav;
      carolCode +='\n<div class="carousel-inner">';
    }
    carolCode += carolBody;
    if (questCount>1){
      carolCode +='\n</div>\n<a class="carousel-control-prev" href="#questionConfigSlider" role="button" data-slide="prev">\n<span class="carousel-control-prev-icon" aria-hidden="true"></span>\n<span class="sr-only">Previous</span>\n</a>\n<a class="carousel-control-next" href="#questionConfigSlider" role="button" data-slide="next">\n<span class="carousel-control-next-icon" aria-hidden="true"></span>\n<span class="sr-only">Next</span>\n</a>\n</div>'; //end of the questionConfigSlider
    }
    $("#customInput").append(carolCode);

    if(panelAdd==true){
        if(panelTypeVal=="Fixed"){
            //code to copy
            codetoCopy +="<br/>&lt;/div&gt;";
            codetoCopy +="<br/>&lt;/div&gt;";
            //customize code
            customCode += '\n</div>'; //End div cardbody
            customCode += '\n</div>'; //End div card
            //preview code
            previewCode +='\n</div>'; //End div cardbody
            previewCode += '\n</div>'; //End div card
        }else if(panelTypeVal=="Collap"){
            //customize code
            customCode += '\n</div>'; //End div cardbody
            customCode += '\n</div>'; //End div collapse
            customCode += '\n</div>'; //End div card
            customCode += '\n</div>'; //End div accordion  
            //code to copy
            codetoCopy +="<br/>&lt;/div&gt;"; //End div cardbody
            codetoCopy +="<br/>&lt;/div&gt;"; //End div collapse
            codetoCopy +="<br/>&lt;/div&gt;"; //End div card
            codetoCopy +="<br/>&lt;/div&gt;"; //End div accordion
            //preview code
            previewCode += '\n</div>'; //End div cardbody
            previewCode += '\n</div>'; //End div collapse
            previewCode += '\n</div>'; //End div card
            previewCode += '\n</div>'; //End div accordion  
            
        }
        
    }
    //customize code
    customCode += '\n</div>'; //End div CustomActivity
    //code to copy
    //codetoCopy +="<br/>&lt;p&gt;&lt;script src=&quot;../js/advanced_EditMode.js&quot;&gt;&lt;/script&gt;&lt;/p&gt;"
    codetoCopy +="<br/>&lt;/div&gt;"; //End div CustomActivity
    codetoCopy += "<br/>&lt;p&gt;&lt;span class=&quot;only-on-edit&quot;&gt;&lt;br/&gt;&lt;/span&gt;&lt;/p&gt;"
    codetoCopy +="<br/>&lt;!-- End of Custom Activity for Quiz:"+ uName +" --&gt;";
    //preview code
    previewCode += '\n</div>'; //End div CustomActivity
    
    /**** Needs to be an absolute path when ready to publish maybe use the ../template-pages/ **/
    const src2 ="./../js/advancedClient_Quiz.js";
    //customize code
    customCode +='<script src="' + src2 + '"><\/script>';
    //preview code
    previewCode +='<script src="' + src2 + '"><\/script>';
    //clear the div first before appending the custom preview content
    $("#previewHere").empty();
    $("#previewHere").append(customCode);
    scrollDown('CusView');
  });
  $("#copyCode").click(function(){
    alert("Code Copied to Clipboard!");
  });
  function scrollDown(viewName) {
    if(viewName == "CusView"){
      alert("Preview Generated!! Please customize in Step 2.");
    }else if(viewName == "PreView"){
      alert("Code Generated!! Please copy the embed code in Step 3.");
    }
    
    const elmnt = document.getElementById(viewName);
    elmnt.scrollIntoView();
  }
});

function loadStyles(){
  /**** Needs to be an absolute path when ready to publish maybe use the ../template-pages/ **/
  $('head').append('<link rel="stylesheet" href="./../css/advancedClient.css">');
}

function loadBuild(){
  let quizBuildCode='';
  quizBuildCode += '\n\t<div class="row">';
  quizBuildCode += '\n\t\t<div class="col">';
  quizBuildCode += '\n\t\t\t<h2>Step 1: Setup</h2>';
  quizBuildCode += '\n\t\t\t<div class="card builder" >';
  quizBuildCode += '\n\t\t\t\t<div class="card-body">';
  quizBuildCode += '\n\t\t\t\t\t<form>';
  quizBuildCode += '\n\t\t\t\t\t\t<div class="form-check" id="rQType" style="padding-left: 0px;">';
  quizBuildCode += '\n\t\t\t\t\t\t\t<label for="optQType"><p>Question Type:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optQType" value="MC" checked="checked" />Multiple Choice</label><label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optQType" value="TF" />True or False</label>';
  quizBuildCode += '\n\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t<div id="panelQNum">';
  quizBuildCode += '\n\t\t\t\t\t\t\t<label for="numOfAns" class="col-form-label"><p>Number of Question per Quiz:</p><input type="text" class="form-control"  id="numOfAns" placeholder="Default: 1" autocomplete="off" /></label>';
  quizBuildCode += '\n\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t<div id="panelMCNum">';
  quizBuildCode += '\n\t\t\t\t\t\t\t<label for="numOfOpt" class="col-form-label"><p>Number of MC Options per Question:</p><input type="text" class="form-control"  id="numOfOpt" placeholder="Default: 4" autocomplete="off"/></label>';
  quizBuildCode += '\n\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t<div class="card" style="margin-top:10px">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t<div class="card-body">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t<div class="form-check row" id="rYesNo">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t\t<label for="optIncludeH"><p>Include hint or check Answers Reveal Type for each question?:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optIncludeH" value="Yes" />Yes</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optIncludeH" value="No" checked="checked" />No</label>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t<div class="form-check sub-options" id="rIncludeHint">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t\t<label for="optType"><p>Pick <b>Reveal Type</b>:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optType" value="hint" checked="checked" />Hint</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optType" value="check" />Feedback</label>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t<div class="form-check row" id="rListFormat">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t\t<label for="optFormat"><p style="margin-top: 10px;">List Format:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optFormat" value="numeric" checked="checked" />Numeric</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optFormat" value="a" />Alpha</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optFormat" value="i" />Roman Numerals</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optFormat" value="bullet" />Bullets</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optFormat" value="none" />No List</label>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t<div class="form-check row" id="panelAddYesNo">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t\t<label for="optPanelAddYesNo"><p style="margin-top: 10px;">Insert questions inside a Panel?</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelAddYesNo" value="Yes" checked="checked" />Yes</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelAddYesNo" value="No" />No</label>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t<div class="form-check sub-options" id="panelFixedColl">';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t\t<label for="optPanelFixedColl"><p>Pick <b>Panel</b> type:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelFixedColl" value="Fixed" checked="checked" />Fixed</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelFixedColl" value="Collap" />Collapsible</label>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t</form>';
  quizBuildCode += '\n\t\t\t\t\t<button class="btn btn-primary do-stuff" id="doIT">Generate Code</button>';
  quizBuildCode += '\n\t\t\t\t\t<div style="clear:both"></div>';
  quizBuildCode += '\n\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t</div>';
  quizBuildCode += '\n\t\t\t<h2 id="CusView">Step 2: Customize</h2>';
  quizBuildCode += '\n\t\t\t\t<div class="card builder" >';
  quizBuildCode += '\n\t\t\t\t\t<div class="card-body">';
  quizBuildCode += '\n\t\t\t\t\t\t<div id="customInput" class="customizer">';
  quizBuildCode += '\n\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t\t<button class="btn btn-primary do-stuff" id="pushIT">Push To Preview</button>';
  quizBuildCode += '\n\t\t\t\t\t\t<div style="clear:both"></div>';
  quizBuildCode += '\n\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t<h2 id="PreView">Preview</h2>';
  quizBuildCode += '\n\t\t\t\t<div class="card builder" >';
  quizBuildCode += '\n\t\t\t\t\t<div class="card-body">';
  quizBuildCode += '\n\t\t\t\t\t\t<div id="previewHere">';
  quizBuildCode += '\n\t\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t<h2>Step 3: Copy Code</h2>';
  quizBuildCode += '\n\t\t\t\t<div class="card builder" id="codeHere" >';
  quizBuildCode += '\n\t\t\t\t\t<div class="card-body">';
  quizBuildCode += '\n\t\t\t\t\t\t<button class="btn btn-primary do-stuff" data-clipboard-target="#codeCopier" id="copyCode">Copy Embed Code <i class="fas fa-code"></i></button>';
  quizBuildCode += '\n\t\t\t\t\t\t<div style="clear:both"></div>';
  quizBuildCode += '\n\t\t\t\t\t\t<pre id="codeCopier" style="font-family: monospace; margin: 1em 0; word-wrap: break-word; width: 100%;"></pre>';
  quizBuildCode += '\n\t\t\t\t\t</div>';
  quizBuildCode += '\n\t\t\t\t</div>';
  quizBuildCode += '\n\t\t</div>';
  quizBuildCode += '\n\t</div>';
  $("#loadHere").append(quizBuildCode);
}

function getRNDQid(){
  const uName = '' + Math.random().toString(36).substring(2,9); //default unique name is random gen
  return uName;
}

// _setPath Done