
$(function(){
    LoadBuild();
    $("#panelAddYesNo").change(function(){
      clearAllVar();
      if($("input[name='optPanelAddYesNo']:checked").val()=="yes"){
        $("#panelFixedColl").show();
        panelAdd=true;
      }else{
        $("#panelFixedColl").hide();
        panelAdd=false;
      }
    });
    $("#numOfQue").change(function(){
      clearAllVar();
    });
    $("#numOfOpt").change(function(){
      clearAllVar();
    });
    $("#panelFixedColl").change(function(){
      clearAllVar();
    });
    $("#rndqYesNo").change(function(){
      clearAllVar();
    });

    /**
     * will collect the info from setup and build the carolbody code from STRUCT_QB to append
     */
    $("#doIT").click(function(){
      clearAllVar();
      $("#codeCopier").text("");
      let panelTypeVal = $("input[name='optPanelFixedColl']:checked").val();
      
      let rndq_val = $("input[name='optRNDQ']:checked").val();
      let pAdd_val = $("input[name='optPanelAddYesNo']:checked").val();

      let pCol_val = 'yes';
      if(panelTypeVal == 'Fixed'){
        pCol_val = 'no';
      }
      if ($("#numOfQue").val()!=''){
        questCount=$("#numOfQue").val();
      }
      
      if ($("#numOfOpt").val()!=''){
        optCount=$("#numOfOpt").val();
      }

      qaID = Get_UNQ_RNDid();
      main_settings_map = new Map();
      //set main settings
      main_settings_map.set('randomize-me',rndq_val);
      main_settings_map.set('panel-add',pAdd_val);
      main_settings_map.set('panel-collapse',pCol_val);
      main_settings_map.set('panel-text','Panel Title');
      main_settings_map.set('activity-id',qaID);
      questions_array = new Array(); //holds the id and names to get info from
      questions_array_default = new Array(); //holds the default that gets generated on initial settings
      //set question array
      let q_counter;
      for(q_counter=1; q_counter<=questCount; q_counter++){
        //build row or maps
        const q_info_map = new Map();
        const q_info_map_default = new Map();//holds the default that gets generated default text for initial preview

        let o_counter;
        const o_info_arr = new Array();
        const o_info_arr_default = new Array();//holds the default that gets generated default text for initial preview
        for(o_counter=1; o_counter<=optCount; o_counter++){
          o_info_arr.push("#q"+q_counter+"optionText"+o_counter);
          o_info_arr_default.push("Option "+q_counter+" Text"+o_counter);
        }
        const r_info_map = new Map();

        r_info_map.set('activity-id',qaID);
        r_info_map.set('reveal-include',"input[name='q"+q_counter+"inclReveal']:checked");
        r_info_map.set('reveal-icon',"input[name='q"+q_counter+"revealType']:checked,attr,data-icon-type"); //value comma separated selector name/id, function attr, attr name to get
        r_info_map.set('reveal-type',"input[name='q"+q_counter+"revealType']:checked");
        r_info_map.set('reveal-text',"#q"+q_counter+"revealText");

        const q_settings_map = new Map();
        const q_settings_map_default = new Map();
        
        q_settings_map.set('activity-id',qaID);
        q_settings_map.set('question-num',q_counter);
        q_settings_map.set('answer-me',"q"+q_counter+"optionValue,rchk,type"); //value comma separated selector_nameId, function radio or checkbox, identified type 
        q_settings_map.set('randomize-me',"input[name='q"+q_counter+"RNDQ']:checked");
        
        q_settings_map_default.set('activity-id',qaID);
        q_settings_map_default.set('question-num',q_counter);
        q_settings_map_default.set('answer-me',"0");
        q_settings_map_default.set('randomize-me',"no");

        //set acitivity id just in the case need it
        q_info_map.set('activity-id',qaID);
        q_info_map_default.set('activity-id',qaID);

        q_info_map.set('question-type',"input[name='q"+q_counter+"queType']:checked");
        q_info_map_default.set('question-type',"mc");
        //set the order of how the MC structure if built//

        //question text first
        q_info_map.set('question-text',"#q"+q_counter+"questTitle");
        q_info_map_default.set('question-text',"QUESTION "+q_counter+" TEXT");

        //options list
        q_info_map.set('options-list',o_info_arr);
        q_info_map_default.set('options-list',o_info_arr_default);

        //reveal hint or feedback
        q_info_map.set('reveal-info',r_info_map);

        //qestion settings
        q_info_map.set('question-settings',q_settings_map);
        q_info_map_default.set('question-settings',q_settings_map_default);

        questions_array.push(q_info_map);
        questions_array_default.push(q_info_map_default);
      }

      setCustomView();
      const built_html_code = Build_Preview(questions_array_default,main_settings_map);
      setPreview(built_html_code);
     
    });
    $("#pushIT").click(function(){
      if(questions_array){
        let inputValue = 'blank'; //default
        //get clone of the question array
        // const questions_array_clone= clone_array();
        const questions_array_clone = new Array();
        clone_array(questions_array_clone);

        const main_settings_map_clone = new Map(main_settings_map);
        main_settings_map_clone.set('panel-text','#panel-title');
        set_user_input(main_settings_map_clone,'map');

        //set question array
        let i;
        for(i=0;i<questions_array_clone.length;i++){
          //make a clone of the map
          console.log("Getting input for question: "+(i+1));
          set_user_input(questions_array_clone[i],'map');
          if(questions_array_clone[i].get('question-type').toUpperCase()=='SA' || questions_array_clone[i].get('question-type').toUpperCase()=='TF'){
            //need to see if it's SA or TF to exclude some questions settings that don't make sense for that type
            check_for_exclusion(questions_array_clone[i].get('question-settings'),questions_array_clone[i].get('question-type'));
          }
        }

        const built_html_code = Build_Preview(questions_array_clone,main_settings_map_clone);
        setCodeToCopy(built_html_code);
        setPreview(built_html_code);
        scrollDown('PreView');
      
      }else{
        alert("Please start with Step 1.");
      }
    });
    $("#copyCode").click(function(){
      alert("Code Copied to Clipboard!");
    });
  });

  function set_user_input(process_this, kind){
    console.log("In set_user_input");
    if(kind=="array"){
      const delete_lst = new Array();
      for(let in_id of process_this){
        //check to see if the input with this id is disabled
        const indx_in_id = process_this.indexOf(in_id);
        console.log("processing: "+ in_id +" at index: "+indx_in_id);
        if($(in_id).is(":disabled")){
          console.log("found disabled input adding: "+ in_id +" at index: "+indx_in_id+" to delete list");
          delete_lst.push(in_id);
        }else{
          const usr_val = $(in_id).val();
          if(usr_val && usr_val.trim().length>0){
            console.log("user input found: "+usr_val);
            process_this[indx_in_id] = usr_val;
          }else{
            process_this[indx_in_id] = "";
          }
          console.log("getting what was set for user input found: "+ in_id +" at index: "+indx_in_id);
        }
      }
      //run delete if any
      if(delete_lst.length>0){
        for(let in_id of delete_lst){
          const indx_in_id = process_this.indexOf(in_id);
          process_this.splice(indx_in_id,1);
        }
      }
    }else if(kind=='map'){
      for(const [key,value] of process_this){
        //check for if key is option-list or reveal-info or question-settings to handle differently
        console.log ("Found key: "+key+" with value: "+value);
        if(key=='options-list'){
          console.log("sending array to set_user_input for processing");
          set_user_input(value,'array');
        }else if(key=='reveal-info' || key=='question-settings'){
          console.log("sending map to set_user_input for processing");
          set_user_input(value,'map');
        }else{
          let usr_val;
          //split the string with commas see if the resulting array length is greater than 1
          const value_split_arr = value.trim().split(',');
          if(value_split_arr.length>1){
            //need to get the selector part and get portion
            const selec = value_split_arr[0].trim();
            const getty = value_split_arr[1].trim();
            if(value_split_arr.length > 2){
              const nameid = value_split_arr[2].trim();
              console.log ("Getting user input based on selector: "+selec+" and get type: "+getty+" name/id: "+nameid);
              if(getty.toUpperCase()=="ATTR"){
                usr_val = $(selec).attr(nameid);
              }else if (getty.toUpperCase()=="RCHK"){ //this is a checkbox so just go through and get what's check and set a value with comma seperated
                //need to figure out if radio or checkbox
                const rchk_type = $("input[name='"+selec+"']").attr(nameid);
                console.log("rchk_type: "+rchk_type);
                if(rchk_type == "radio"){
                  console.log("Getting Radio type");
                  usr_val = $("input[name='"+selec+"']:checked").val();
                }else if(rchk_type == "checkbox"){
                  console.log("Getting Checkbox type");
                  //loop through and get all the checks
                  const chks = document.getElementsByName(selec);
                  let i=0;
                  for(let chk of chks){
                    console.log ("Check box text:"+chk.innerHTML +" and value: "+ chk.value);
                    if(chk.checked){
                      console.log ("Checked box text:"+chk.innerHTML +" and value: "+ chk.value);
                      if(i==0){
                        usr_val = chk.value;
                      }else{
                        usr_val +=  ","+chk.value;
                      }
                      i++;
                    }
                  }
                }
              }
            }
          }else{
            //check to see if there is a # or input in the value if so then get val and replace
            if(value.toString().indexOf("#") > -1 || value.toString().indexOf("input[") > -1 ){
              console.log ("Getting user input for: "+value+" for key: "+key);
              usr_val = $(value).val();
            }else{
              //it's just the value found
              usr_val = value.toString().trim();
            }
          }
          if(usr_val && usr_val.trim().length>0){
            console.log("Setting user input found: "+ usr_val+" for key: "+key);
            process_this.set(key,usr_val.trim());
            console.log("Getting what was set for user input found: "+ process_this.get(key)+" for key: "+key);
          }else{
            process_this.set(key,"");
          }
        }
      }
    }
  }

  function check_for_exclusion(process_map,q_type){
    console.log("In check_for_exclusion for q_type:"+ q_type);
    if(q_type.toUpperCase()=="SA"){
      //need to remove the answer-me key
      console.log("Deleting the answer-me key: "+ process_map.delete('answer-me'));
      ;
    }
    if(q_type.toUpperCase()=="SA" || q_type.toUpperCase()=="TF"){
      //need to remove the randomize-me key
      console.log("Deleting the randomize-me key: "+process_map.delete('randomize-me'));
    }
  }

  function clone_array(new_arr){
    let i;
    for(i=0;i<questions_array.length;i++){
      const new_quest_map = new Map();
      for(const [key,value] of questions_array[i]){
        if(key=='options-list'){
          const new_opts_arr = new Array();
          let i;
          for(i=0;i<value.length;i++){
            console.log("for "+key+" cloning array element: "+value[i].toString());
            new_opts_arr.push(value[i].toString());
          }
          new_quest_map.set(key.toString(),new_opts_arr);
        }else if(key=='reveal-info' || key=='question-settings'){
          const new_RIQS_map = new Map();
          for(const [key_sub, value_sub] of value){
            console.log("for "+key+" cloning map key: " +key_sub.toString()+ " and value: "+value_sub.toString());
            new_RIQS_map.set(key_sub.toString(),value_sub.toString());
          }
          new_quest_map.set(key.toString(),new_RIQS_map);
        }else{
          console.log("for "+key+" cloning map key: " +key.toString()+ " and value: "+value.toString());
          new_quest_map.set(key.toString(),value.toString());
        }
      }
      new_arr.push(new_quest_map);
    }
  }

  function setCustomView(){
    const re_CompInfo_obj_cv = new CompInfoObject();
    re_CompInfo_obj_cv.activity_ID = qaID;

    //instruct object for the holder
    const re_inst_obj_holder = new InstructObject(staticParts_QB[0]); // title='HOLDER div
    re_inst_obj_holder.areObjects_RIA = true;
    if(panelAdd==true){
      const re_inst_obj_panel = new InstructObject(dynamicParts_QB[0]); //panel title build
      re_inst_obj_panel.areObjects_RIA=true;
      re_inst_obj_holder.row_info_arrays.push(re_inst_obj_panel);
    }
    
    let re_inst_obj_questholder;
    if(questCount>1) {
      const re_inst_obj_carousel = new InstructObject(dynamicParts_QB[1]); //customize carousel build
      re_inst_obj_carousel.areObjects_RIA=true;
      re_inst_obj_questholder = re_inst_obj_carousel;
    }
    //go through the questions and build each piece question input, options input, (if)reveal input, & option answer select
    let q_counter;
    for (q_counter = 1; q_counter <= questCount; q_counter++) {
      //build fgh for each
      const re_inst_obj_fgh = new InstructObject(staticParts_QB[1]); // fgh container build
      re_inst_obj_fgh.areObjects_RIA=true;
      if(questCount>1){
        re_inst_obj_fgh.settings_arr.set('carousel-item','carousel-item');
        if(q_counter==1){
          //first one has active class
          re_inst_obj_fgh.settings_arr.set('is-active','active');
        }
      }
      re_inst_obj_fgh.settings_arr.set('question-num',q_counter);
      const re_inst_obj_QOifR_OL = new InstructObject(loopBuild_QB[0]); //build the loop object to build question input, options input, (if)reveal input
      re_inst_obj_QOifR_OL.areObjects_RIA=true;
      const re_inst_obj_OA_OL = new InstructObject(loopBuild_QB[0]); //build the loop object to build options Answer
      re_inst_obj_OA_OL.areObjects_RIA=true;

      const re_inst_obj_quesType = new InstructObject(staticParts_QB[6]); //build the question type options
      re_inst_obj_quesType.areObjects_RIA=true;
      re_inst_obj_quesType.settings_arr.set('question-num',q_counter);
      re_inst_obj_QOifR_OL.row_info_arrays.push(re_inst_obj_quesType);

      const re_inst_obj_quesInput = new InstructObject(staticParts_QB[2]); //build the question input
      re_inst_obj_quesInput.areObjects_RIA=true;
      re_inst_obj_quesInput.settings_arr.set('question-num',q_counter);
      re_inst_obj_QOifR_OL.row_info_arrays.push(re_inst_obj_quesInput);
      //loop through and add question into for each option input  && answer select
      let o_counter;
      for(o_counter=1; o_counter <= optCount; o_counter++){
        const re_inst_obj_optsInput = new InstructObject(staticParts_QB[3]);
        const re_inst_obj_optsAnswer = new InstructObject(staticParts_QB[4]);
        re_inst_obj_optsInput.areObjects_RIA=true;
        re_inst_obj_optsAnswer.areObjects_RIA=true;
        re_inst_obj_optsInput.settings_arr.set('question-num',q_counter);
        re_inst_obj_optsInput.settings_arr.set('option-num',o_counter);
        re_inst_obj_optsAnswer.settings_arr.set('question-num',q_counter);
        re_inst_obj_optsAnswer.settings_arr.set('option-num',o_counter);
        re_inst_obj_QOifR_OL.row_info_arrays.push(re_inst_obj_optsInput);
        re_inst_obj_OA_OL.row_info_arrays.push(re_inst_obj_optsAnswer);
      }
      //build reveal input
      const re_inst_obj_reveal = new InstructObject(dynamicParts_QB[2]);
      re_inst_obj_reveal.areObjects_RIA=true;
      re_inst_obj_reveal.settings_arr.set('question-num',q_counter);
      re_inst_obj_QOifR_OL.row_info_arrays.push(re_inst_obj_reveal);

      //build the random options 
      const re_inst_obj_optsRNDQ = new InstructObject(staticParts_QB[5]);
      re_inst_obj_optsRNDQ.areObjects_RIA=true;
      re_inst_obj_optsRNDQ.settings_arr.set('question-num',q_counter);

      re_inst_obj_fgh.row_info_arrays.push(re_inst_obj_QOifR_OL);
      re_inst_obj_fgh.row_info_arrays.push(re_inst_obj_OA_OL);
      re_inst_obj_fgh.row_info_arrays.push(re_inst_obj_optsRNDQ);

      if(questCount==1){
        re_inst_obj_questholder = re_inst_obj_fgh;
      }else{
        //add the fgh to the carousel
        re_inst_obj_questholder.row_info_arrays.push(re_inst_obj_fgh);
      }
    }
    //add the questholder reference into the Holder
    re_inst_obj_holder.row_info_arrays.push(re_inst_obj_questholder);
    //add the holder into the compObject
    re_CompInfo_obj_cv.instructions_array.push(re_inst_obj_holder);
    const built_html = Build_HTML(re_CompInfo_obj_cv);
    //customize view code
    $("#customInput").empty();
    const re_customInput = $("#customInput");
    insert_into(re_customInput,built_html);
    // $("#customInput").append(built_html);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_QB_helper = document.createElement('script');
    script_QB_helper.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/QB_customizer.js');
    $("#customInput").append(script_QB_helper);
    scrollDown('CusView');
  }

  function setPreview(re_built_html){
    $("#previewHere").empty();
    const ref_previewHere = $("#previewHere");
    insert_into(ref_previewHere,re_built_html);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_B_MCTFQ = document.createElement('script');
    script_B_MCTFQ.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/Build_MCTFQ.js');
    script_B_MCTFQ.async = false;
    $("#previewHere").append(script_B_MCTFQ);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_MCTFQ = document.createElement('script');
    script_MCTFQ.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/advancedClient_MCTFQ.js');
    script_MCTFQ.async = false;
    $("#previewHere").append(script_MCTFQ);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_MultiS = document.createElement('script');
    script_MultiS.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/advancedClient_MultiS.js');
    script_MultiS.async = false;
    $("#previewHere").append(script_MultiS);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_SA = document.createElement('script');
    script_SA.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/advancedClient_SA.js');
    script_SA.async = false;
    $("#previewHere").append(script_SA);
    /**** Needs to be an absolute path when ready to publish _setPath **/
    const script_EditMode = document.createElement('script');
    script_EditMode.src = getLinkedURL('./../../../assets/advInteractives_pkg/js/advanced_EditMode.js');
    script_EditMode.async = false;
    $("#previewHere").append(script_EditMode);
  }

  function setCodeToCopy(re_built_html){
    const re_built_html_enc = HTML_Entity_Encoder(re_built_html);
    $("#codeCopier").empty();
    $("#codeCopier").append(re_built_html_enc);
  }

  function scrollDown(viewName) {
    if(viewName == "CusView"){
      alert("Preview Generated!! Please customize in Step 2.");
    }else if(viewName == "PreView"){
      alert("Code Generated!! Please copy the embed code in Step 3.");
    }
    
    const elmnt = document.getElementById(viewName);
    elmnt.scrollIntoView();
  }

  function Build_Preview(quest_arr,mains_map){
    //build the preview based on quest_arr
    const re_CompInfo_obj_pv = new CompInfoObject();
    re_CompInfo_obj_pv.activity_ID = qaID;
    //instruct object for the holder
    const re_inst_obj_holder = new InstructObject(staticParts_QB_embed[0]); // title='HOLDER div
    re_inst_obj_holder.areObjects_RIA = true;

    // re_inst_obj_ = new InstructObject(staticParts_QB_embed[#]); re_inst_obj_.areObjects_RIA=true;
    // re_inst_obj_ = new InstructObject(dynamicParts_QB_embed[#]); re_inst_obj_.areObjects_RIA=true;
    // re_inst_obj_ = new InstructObject(loopBuild_QB[0]); re_inst_obj_.areObjects_RIA=true;

    //Qestion section object looper to hold all the questions
    const re_inst_obj_QS_OL = new InstructObject(loopBuild_QB[0]);
    re_inst_obj_QS_OL.areObjects_RIA=true;
    let i;
    for(i=0; i<quest_arr.length; i++){
        const re_inst_obj_question_sec = new InstructObject(staticParts_QB_embed[1]);
        re_inst_obj_question_sec.areObjects_RIA=true;
        //object looper for the question text, options and if Reveal
        const re_inst_obj_QOifR_OL = new InstructObject(loopBuild_QB[0]);
        re_inst_obj_QOifR_OL.areObjects_RIA=true;
        for(const [key,value] of quest_arr[i]){
            console.log("processing key:"+key);
            let re_inst_obj;
            if(key=='question-text'){
                re_inst_obj = new InstructObject(dynamicParts_QB_embed[1]);
                re_inst_obj.areObjects_RIA=true;
                re_inst_obj.settings_arr.set('activity-id',quest_arr[i].get('activity-id'));
                re_inst_obj.settings_arr.set(key,value);
                re_inst_obj.settings_arr.set('question-num',(quest_arr[i].get('question-settings')).get('question-num'));
            }else if(key=='options-list'){
                re_inst_obj = new InstructObject(staticParts_QB_embed[2]);
                re_inst_obj.areObjects_RIA=true;
                const re_inst_obj_opts = new InstructObject(dynamicParts_QB_embed[2]);
                const opts_arr = value;
                console.log("opts_arr options:"+opts_arr.toString());
                let j;
                for(j=0;j<opts_arr.length;j++){
                  const row_info = new Array();
                  const divContent_id = document.createElement("DIV");
                  const textNode_id = document.createTextNode(quest_arr[i].get('activity-id'));
                  divContent_id.append(textNode_id);
                  row_info.push(divContent_id);
                  const divContent_qnum = document.createElement("DIV");
                  const textNode_qnum = document.createTextNode((quest_arr[i].get('question-settings')).get('question-num'));
                  divContent_qnum.append(textNode_qnum);
                  row_info.push(divContent_qnum);
                  const divContent = document.createElement("DIV");
                  if(opts_arr[j].trim().length>0){
                      const textNodeFound = document.createTextNode(opts_arr[j].trim());
                      divContent.append(textNodeFound);
                  }
                  row_info.push(divContent);
                  re_inst_obj_opts.row_info_arrays.push(row_info);
                }
                re_inst_obj.row_info_arrays.push(re_inst_obj_opts);
            }else if(key=='reveal-info'){
                //check to see if reveal-include is yes
                if(value.get('reveal-include')=="yes"){
                    re_inst_obj = new InstructObject(dynamicParts_QB_embed[3]);
                    re_inst_obj.areObjects_RIA=true;
                    re_inst_obj.settings_arr = value;
                }
            }else if(key=='question-type'){
                re_inst_obj_question_sec.settings_arr.set(key.toString(),value.toString());
            }
            if(re_inst_obj){
                re_inst_obj_QOifR_OL.row_info_arrays.push(re_inst_obj);
            }
        }
        re_inst_obj_question_sec.row_info_arrays.push(re_inst_obj_QOifR_OL);

        //if question-type is not SA then question settings obj
        if((quest_arr[i].get('question-type').toUpperCase() !="SA")){
          const re_inst_obj_qSet = new InstructObject(staticParts_QB_embed[3]);
          re_inst_obj_qSet.areObjects_RIA=true;
          //create a answer-me object for all
          const re_inst_obj_qSet_ANS = new InstructObject(dynamicParts_QB_embed[4]);
          re_inst_obj_qSet_ANS.areObjects_RIA=true;
          re_inst_obj_qSet_ANS.settings_arr = quest_arr[i].get('question-settings');
          re_inst_obj_qSet.row_info_arrays.push(re_inst_obj_qSet_ANS);
          //create a randomize-me for all except TF
          if((quest_arr[i].get('question-type').toUpperCase() !="TF")){
            const re_inst_obj_qSet_RND = new InstructObject(dynamicParts_QB_embed[5]);
            re_inst_obj_qSet_RND.areObjects_RIA=true;
            re_inst_obj_qSet_RND.settings_arr = quest_arr[i].get('question-settings');
            re_inst_obj_qSet.row_info_arrays.push(re_inst_obj_qSet_RND);
          }
          re_inst_obj_question_sec.row_info_arrays.push(re_inst_obj_qSet);
        }
        re_inst_obj_QS_OL.row_info_arrays.push(re_inst_obj_question_sec);
    }

    re_inst_obj_holder.row_info_arrays.push(re_inst_obj_QS_OL);

    const re_inst_obj_mains = new InstructObject(dynamicParts_QB_embed[0]);
    re_inst_obj_mains.areObjects_RIA=true;
    re_inst_obj_mains.settings_arr = mains_map;
    re_inst_obj_holder.row_info_arrays.push(re_inst_obj_mains);

    //add the holder into the compObject
    re_CompInfo_obj_pv.instructions_array.push(re_inst_obj_holder);
    const built_html = Build_HTML(re_CompInfo_obj_pv);
    return built_html;
}

function HTML_Entity_Encoder(html_obj){
    let html_code_str = html_obj.innerHTML;
    console.log("html_code before [ \n"+html_code_str+"\n ]");
    html_code_str = html_code_str.replace(/<br>/g,'<br/>');
    html_code_str = html_code_str.replace(/</g,'&lt;');
    html_code_str = html_code_str.replace(/>/g,'&gt;');
    console.log("html_code after [ \n"+html_code_str+"\n ]");
    return html_code_str;
}


  function clearAllVar() {
    optCount = 4; //default number of MC Options per question
    questCount = 1; //default number of questions per page
    $("#previewHere").empty();
    $("#codeCopier").empty();
    $("#customInput").empty();
  }

  function LoadBuild(){
    var htmlCode='';
    //QBV2Code_AFTER_HERE
//Code generated: 2022-Dec-13, Code found in file: ./AdvancedComponentsCode/20221124/d2l/2_eFormat/quizBuilderV2_format.js
htmlCode += '<div class="row">';
htmlCode += '\n    <div class="col">';
htmlCode += '\n        <h2>Step 1: Setup</h2>';
htmlCode += '\n        <div class="card builder">';
htmlCode += '\n            <div class="card-body">';
htmlCode += '\n                <form>';
htmlCode += '\n                    <div id="panelQNum">';
htmlCode += '\n                        <label for="numOfQue" class="col-form-label"><p>Number of Question per Quiz: <i>(May include MC, TF or Multi-selects)</i></p><input type="text" class="form-control" id="numOfQue" placeholder="Default: 1" autocomplete="off"></label>';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <div id="panelMCNum">';
htmlCode += '\n                        <label for="numOfOpt" class="col-form-label"><p>Number of Options per Question:</p><input type="text" class="form-control" id="numOfOpt" placeholder="Default: 4" autocomplete="off"></label>';
htmlCode += '\n                    </div>';
htmlCode += '\n                        <div class="card" style="margin-top:10px">';
htmlCode += '\n                            <div class="card-body">';
htmlCode += '\n                                <div class="form-check row" id="rndqYesNo">';
htmlCode += '\n                                    <label for="optRNDQ"><p style="margin-top: 10px;">Randomize the Question order?:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optRNDQ" value="yes">Yes</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optRNDQ" value="no" checked="checked">No</label>';
htmlCode += '\n                                </div>';
htmlCode += '\n                                <div class="form-check row" id="panelAddYesNo">';
htmlCode += '\n                                    <label for="optPanelAddYesNo"><p style="margin-top: 10px;">Insert questions inside a Panel?</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelAddYesNo" value="yes" checked="checked">Yes</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelAddYesNo" value="no">No</label>';
htmlCode += '\n                                </div>';
htmlCode += '\n                                <div class="form-check sub-options" id="panelFixedColl">';
htmlCode += '\n                                    <label for="optPanelFixedColl"><p>Pick <b>Panel</b> type:</p></label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelFixedColl" value="Fixed" checked="checked">Fixed</label> <label class="radio-inline gen-label"><input type="radio" class="gen-radio" name="optPanelFixedColl" value="Collap">Collapsible</label>';
htmlCode += '\n                                </div>';
htmlCode += '\n                            </div>';
htmlCode += '\n                        </div>';
htmlCode += '\n                </form>';
htmlCode += '\n                <button class="btn btn-primary do-stuff" id="doIT">Generate Code</button>';
htmlCode += '\n                <div style="clear:both"></div>';
htmlCode += '\n            </div>';
htmlCode += '\n        </div>';
htmlCode += '\n        <h2 id="CusView">Step 2: Customize</h2>';
htmlCode += '\n            <div class="card builder">';
htmlCode += '\n                <div class="card-body">';
htmlCode += '\n                    <div id="customInput" class="customizer">';
htmlCode += '\n                    </div>';
htmlCode += '\n                    <button class="btn btn-primary do-stuff" id="pushIT">Push To Preview</button>';
htmlCode += '\n                    <div style="clear:both"></div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        <h2 id="PreView">Preview</h2>';
htmlCode += '\n            <div class="card builder">';
htmlCode += '\n                <div class="card-body">';
htmlCode += '\n                    <div id="previewHere">';
htmlCode += '\n                    </div>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n        <h2>Step 3: Copy Code</h2>';
htmlCode += '\n            <div class="card builder" id="codeHere">';
htmlCode += '\n                <div class="card-body">';
htmlCode += '\n                    <button class="btn btn-primary do-stuff" data-clipboard-target="#codeCopier" id="copyCode">Copy Embed Code <i class="fas fa-code"></i></button>';
htmlCode += '\n                    <div style="clear:both"></div>';
htmlCode += '\n                    <pre id="codeCopier" style="font-family: monospace; margin: 1em 0; word-wrap: break-word; width: 100%;"></pre>';
htmlCode += '\n                </div>';
htmlCode += '\n            </div>';
htmlCode += '\n    </div>';
htmlCode += '\n</div>';
htmlCode += '\n<p>';
htmlCode += '\n    <script>';
htmlCode += '\n        let clipb = new ClipboardJS("#copyCode")';
htmlCode += '\n    </script>';
htmlCode += '\n</p>';

    $("#loadQuizBuilder").append(htmlCode);
  }
